Naar inhoud

The reply to addresse object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this reply-to address is defined in

emailtext

Email address replies are sent to

nametext

Display name of the reply-to address

Related resources

Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).

organizations(*)object | null
organizations

The organization referenced by organization_id.

product_reply_to_addresses(*)array
product_reply_to_addresses

The product reply to addresses referencing this reply to addresse through product_reply_to_addresses.reply_to_address_id.

The reply to addresse object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "email": "guest@example.com",
  "name": "Summer cottage"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/reply_to_addresses?limit=10&select=*,organizations(*),product_reply_to_addresses(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List reply to addresses

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this reply-to address is defined in

emailFilter<text>

Email address replies are sent to

nameFilter<text>

Display name of the reply-to address

Responses

200

A list of reply to addresses with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /reply_to_addresses
curl -X GET "https://api.bookingmood.com/v1/reply_to_addresses?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "email": "guest@example.com",
    "name": "Summer cottage"
  }
]

Create reply to addresses

Body

Partial<ReplyToAddresse> | Array<Partial<ReplyToAddresse>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created reply to addresses with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /reply_to_addresses
curl -X POST "https://api.bookingmood.com/v1/reply_to_addresses" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "guest@example.com",
    "name": "Summer cottage",
    "organization_id": "00000000-0000-0000-0000-000000000000"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "email": "guest@example.com",
    "name": "Summer cottage"
  }
]

Delete reply to addresses

Filters

Without filters, this request deletes all reply to addresses you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this reply-to address is defined in

emailFilter<text>

Email address replies are sent to

nameFilter<text>

Display name of the reply-to address

Responses

200

The deleted reply to addresses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /reply_to_addresses
curl -X DELETE "https://api.bookingmood.com/v1/reply_to_addresses?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "email": "guest@example.com",
    "name": "Summer cottage"
  }
]

Update reply to addresses

Filters

Without filters, this request updates all reply to addresses you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this reply-to address is defined in

emailFilter<text>

Email address replies are sent to

nameFilter<text>

Display name of the reply-to address

Body

Partial<ReplyToAddresse>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated reply to addresses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /reply_to_addresses
curl -X PATCH "https://api.bookingmood.com/v1/reply_to_addresses?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "guest@example.com"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "email": "guest@example.com",
    "name": "Summer cottage"
  }
]

Neem de controle over je boekingen. Bouw een bedrijf dat van jou is.

Sluit je aan bij 1200+ onafhankelijke vakantieverhuurbedrijven die Bookingmood gebruiken om hun directe boekingen te vergroten en een sterkere band met hun gasten op te bouwen.

Start je gratis 14-daagse proefperiode